#
# spec file for package perl-String-Flogger
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name String-Flogger
Name:           perl-String-Flogger
Version:        1.101246
Release:        1.10
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        String munging for loggers
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(JSON::MaybeXS)
BuildRequires:  perl(Params::Util)
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Sub::Exporter::Util)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(JSON::MaybeXS)
Requires:       perl(Params::Util)
Requires:       perl(Sub::Exporter)
Requires:       perl(Sub::Exporter::Util)
%{perl_requires}

%description
string munging for loggers

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Mon Oct 31 2022 Tina Müller <timueller+perl@suse.de>
- updated to 1.101246
  see /usr/share/doc/packages/perl-String-Flogger/Changes
  1.101246  2022-10-29 21:51:45-04:00 America/New_York
  - add some tests
  - update to require newer perl
  - update package metadata
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.101245
  see /usr/share/doc/packages/perl-String-Flogger/Changes
  1.101245  2014-08-08 18:43:38-04:00 America/New_York
  - switch from JSON to JSON::MaybeXS
* Tue Nov 26 2013 coolo@suse.com
- updated to 1.101244
  update bugtracker and repo
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.101243
    use horrible hack to avoid dying when a data structure to log
    contains an object
    make ->flog({...}) act like ->flog([ '%%s', {...} ])
    (thanks, Randy Stauner)
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Mon Jan 17 2011 coolo@novell.com
- initial package 1.101241
  * created by cpanspec 1.78.03
